<%= form_for(@safenv) do |f| %>
  <% if @safenv.errors.any? %>
    <div id="error_explanation">
      <h2><%= pluralize(@safenv.errors.count, "error") %> prohibited this safenv from being saved:</h2>

      <ul>
      <% @safenv.errors.full_messages.each do |msg| %>
        <li><%= msg %></li>
      <% end %>
      </ul>
    </div>
  <% end %>

  <div class="field">
    <%= f.label :dbname %><br>
    <%= f.text_field :dbname %>
  </div>
  <div class="field">
    <%= f.label :rwrite %><br>
    <%= f.text_field :rwrite %>
  </div>
  <div class="field">
    <%= f.label :schema_hash %><br>
    <%= f.text_field :schema_hash %>
  </div>
  <div class="field">
    <%= f.label :tables_hash %><br>
    <%= f.text_field :tables_hash %>
  </div>
  <div class="actions">
    <%= f.submit %>
  </div>
<% end %>
